cd ./digit
vlib work

vcom -novopt *.vhd

vsim -novopt -t ps work.testbench



onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider -height 30 TESTBENCH
add wave -noupdate -label {end of transient} :testbench:end_of_file
add wave -noupdate -color Salmon -format Analog-Interpolated -height 50 -itemcolor Salmon -label {analog value} -max 3.2999999999999998 :testbench:analog_value
add wave -noupdate -label {digitalized value} :testbench:digitalized_value
add wave -noupdate -label SCLK :testbench:SCLK
add wave -noupdate -label SS :testbench:SS
add wave -noupdate -label {data received by UART receiver} -radix hexadecimal :testbench:UART_received_data
add wave -noupdate -label {frame read by SPI master} -radix hexadecimal :testbench:frame_read_by_SPI_master
add wave -noupdate -divider -height 30 {FMEAS parameters}
add wave -noupdate -expand -group {common parameters} -label {measurement window} :testbench:measure_window
add wave -noupdate -expand -group {common parameters} -label {communication protocol} -radix unsigned :testbench:comm_protocol
add wave -noupdate -expand -group {common parameters} -label {bytes per frame} -radix unsigned :testbench:bytes_per_frame
add wave -noupdate -expand -group {UART parameters} -label {UART baud rate} -radix unsigned :testbench:UART_bps
add wave -noupdate -expand -group {UART parameters} -label {UART stop bits} -radix unsigned :testbench:UART_stop_bits
add wave -noupdate -expand -group {SPI parameters} -label {SPI CPOL} :testbench:SPI_CPOL
add wave -noupdate -expand -group {SPI parameters} -label {SPI CPHA} :testbench:SPI_CPHA
add wave -noupdate -divider -height 30 {FMEAS resources}
add wave -noupdate -label {reset edge counter} :testbench:L_FMEAS:reset_edge_counter
add wave -noupdate -label {edge counter} -radix unsigned :testbench:L_FMEAS:edge_counter
add wave -noupdate -label {new data} -radix hexadecimal :testbench:L_FMEAS:new_data
add wave -noupdate -label {UART send trigger} :testbench:L_FMEAS:UART_send_trigger
add wave -noupdate -color Gold -itemcolor Gold -label {measured cycle time} :testbench:L_FMEAS:measured_cycle_time
add wave -noupdate -color Gold -itemcolor Gold -label {measured frequency [MHz]} :testbench:L_FMEAS:measured_frequency_MHz
add wave -noupdate -itemcolor Cyan -label TX :testbench:L_FMEAS:TX
add wave -noupdate -itemcolor Cyan -label MISO :testbench:L_FMEAS:MISO
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {1155137000 ps} 0}
quietly wave cursor active 1
configure wave -namecolwidth 202
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {0 ps} {22050 us}
