#!/bin/bash

SELF_DIR="$( cd "$( dirname "$0" )" && pwd )"

if [ -e $SELF_DIR/sim.pid ]; then
	for i in $(pstree -pc `cat $SELF_DIR/sim.pid` | grep -oE "\([0-9]+\)" | tr -d "()"); do
		kill -HUP $i > /dev/null 2>&1
	done

	rm -f $SELF_DIR/sim.pid
	echo "Current simulation terminated by user!" >>$SELF_DIR/sim.stderr 2>&1
else
	echo "No sim.pid found. Is any simulation really running?"  >>$SELF_DIR/sim.stderr 2>&1
fi
