#!/bin/bash
# Preparing simulation file

SELF_DIR="$( cd "$( dirname "$0" )" && pwd )"
$SELF_DIR/cleanup all

echo "ANSYS ROM simulation started." 1>>$SELF_DIR/../sim.stdout 2>>$SELF_DIR/../sim.stderr

echo $$ > $SELF_DIR/../sim.pid

cp rom/parameters.empty rom/parameters.par
sed -i 's/par1/'$1'/g' rom/parameters.par
sed -i 's/par2/'$2'/g' rom/parameters.par
sed -i 's/par3/'$3'/g' rom/parameters.par
sed -i 's/par4/'$4'/g' rom/parameters.par
sed -i 's/par5/'$5'/g' rom/parameters.par
sed -i 's/par6/'$6'/g' rom/parameters.par

#run ANSYS
rom/run_ansys.sh > /dev/null &
wait

if grep -q "ERROR" rom/file.err; then
	echo "ERROR: ANSYS finished unexpectedly. See 'file.err' for details." >>$SELF_DIR/../sim.stderr 2>&1
	rm -f $SELF_DIR/../sim.pid
	exit
fi

#cat ./rom/plotheader.txt ./rom/solu.csv > ./results/rom_output.csv
cat rom/solu.csv > results/rom_output.csv

echo "ANSYS ROM simulation finished." 1>>$SELF_DIR/../sim.stdout 2>>$SELF_DIR/../sim.stderr

#$SELF_DIR/cleanup
